declare @uid varchar(50)
declare @idPadre int

select @uid=uid from seg_usuario where id=1

if not exists(
	select * from gui_funcionalidad where id_funcionalidad in(
		select id from gui_funcionalidad where nombrecontrol='cat_detalletempario' and id_funcionalidad=140))	--140 es el id del botón barra detalle en temparios
begin

	if exists(select id from gui_funcionalidad where nombrecontrol='cat_detalletempario' and id_funcionalidad=140)
	begin
		select @idPadre=id from gui_funcionalidad where nombrecontrol='cat_detalletempario' and id_funcionalidad=140
	end
	else
	begin
		INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'detalleTempario',140,3,'/forms/cat/detalletempario.aspx','',0,'','','','cat_detalleTempario','',0)
		set @idPadre=SCOPE_IDENTITY ()
	end

	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'crear',@idPadre,5,'','',0,'','','','','crear',1)
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'editar',@idPadre,5,'','',0,'','','','','editar',1)
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'imprimir',@idPadre,5,'','',0,'','','','','imprimir',1)
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'compartir',@idPadre,5,'','',0,'','','','','compartir',1)
	INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'eliminar',@idPadre,5,'','',0,'','','','','eliminar',1)

end
